#!/bin/bash
set -eux
# Gather up the list of system repo files and use them for lorax
REPOS=$(for f in /etc/yum.repos.d/*repo; do echo -n "--repo $f "; done)
if [ -z "$REPOS" ]; then
    echo "No system repos found"
    exit 1
fi

# NOTE: We must use --nomacboot because the test system doesn't have the hfsplus fs available
# Run lorax using the host's repository configuration file
lorax --product="Fedora" --version=34 --release=34 --volid="Fedora-34-test" \
      $REPOS --isfinal --nomacboot /var/tmp/lorax-fedora-iso/
